VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "COMDLG32.OCX"
Begin VB.Form frmDialog 
   Appearance      =   0  'Flat
   BackColor       =   &H80000005&
   ClientHeight    =   3975
   ClientLeft      =   2025
   ClientTop       =   2985
   ClientWidth     =   6420
   BeginProperty Font 
      Name            =   "MS Sans Serif"
      Size            =   8.25
      Charset         =   0
      Weight          =   700
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   ForeColor       =   &H80000008&
   LinkTopic       =   "Form1"
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   3975
   ScaleWidth      =   6420
   Begin VB.TextBox txtSkriv 
      Appearance      =   0  'Flat
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   12
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   1452
      Left            =   0
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   0
      Top             =   0
      Width           =   3972
   End
   Begin MSComDlg.CommonDialog cdlStandard 
      Left            =   720
      Top             =   1800
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin VB.Menu mnuFil 
      Caption         =   "&Fil"
      Begin VB.Menu mnuNy 
         Caption         =   "&Ny"
      End
      Begin VB.Menu mnuLagre 
         Caption         =   "&Lagre som"
      End
      Begin VB.Menu mnupne 
         Caption         =   "&pne"
      End
      Begin VB.Menu mnuSkrivut 
         Caption         =   "&Skriv ut"
      End
      Begin VB.Menu mnuLinje 
         Caption         =   "-"
      End
      Begin VB.Menu mnuAvslutt 
         Caption         =   "&Avslutt"
      End
   End
   Begin VB.Menu mnuFarge 
      Caption         =   "&Bakgrunnsfarge"
      Begin VB.Menu mnuPalett 
         Caption         =   "&Vis palett"
      End
   End
   Begin VB.Menu mnuSkrift 
      Caption         =   "&Skrift"
      Begin VB.Menu mnuFont 
         Caption         =   "&Velg skrift"
      End
   End
End
Attribute VB_Name = "frmDialog"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub Form_Load()
    
    ' Gi formen en titteltekst.
    frmDialog.Caption = " (nytt dokument)"

End Sub

Private Sub Form_Resize()
    
    ' La tekstboksen fylle hele formen.
    txtSkriv.Width = frmDialog.ScaleWidth
    txtSkriv.Height = frmDialog.ScaleHeight


End Sub

Private Sub mnuAvslutt_Click()
    
    ' Terminer programmet.
    End
    
End Sub

Private Sub mnuFont_Click()

    ' G til Avbryt-rutine hvis brukeren avbryter.
    On Error GoTo Avbrytfont

    ' Vis skjermfontene (cdlCFScreenFonts)
    ' og vis effekt- og fargevalg (cdlCFEffects)
    cdlStandard.Flags = cdlCFScreenFonts + cdlCFEffects

    ' Vis dialogboksen Skrift.
    cdlStandard.ShowFont

    ' Anvend valgene p teksten i tekstboksen.
    With txtSkriv
        .FontName = cdlStandard.FontName
        .FontBold = cdlStandard.FontBold
        .FontItalic = cdlStandard.FontItalic
        .FontSize = cdlStandard.FontSize
        .FontStrikethru = cdlStandard.FontStrikethru
        .FontUnderline = cdlStandard.FontUnderline
        .ForeColor = cdlStandard.Color
        .SetFocus
    End With
Exit Sub

Avbrytfont:
    
    MsgBox "Du har avbrutt dialogen!", , "Avbrudd"
    Exit Sub

End Sub

Private Sub mnuLagre_Click()
    
    ' Deklarerer en variabel.
    Dim FilNum

    ' Gr til avbrytrutina hvis brukeren avbryter.
    On Error GoTo Avbrytlagre
    
    ' Sett inn et filter i filtypelista.
    cdlStandard.Filter = "ASCI-tekst (*.txt)|*.txt|"

    ' Velg standard filutvidelse.
    cdlStandard.DefaultExt = "txt"
    
    ' Skjul ReadOnly-boksen og spr hvis fila fins allerede.
    cdlStandard.Flags = cdlOFNHideReadOnly + cdlOFNOverwritePrompt

    ' Viser Lagre som-dialogen
    cdlStandard.ShowSave

    ' Finn et ledig filnummer.
    FilNum = FreeFile
    
    ' pne fila for output.
    Open cdlStandard.filename For Output As FilNum
    
    ' Skriv innholdet i tekstboksen til fila.
    Print #FilNum, txtSkriv.Text
    
    ' Lukk fila
    Close FilNum
    
    ' Sett filnavnet inn i tittellinja p formen.
    frmDialog.Caption = cdlStandard.filename
    
    ' Avslutt prosedyren.
    Exit Sub

Avbrytlagre:
    MsgBox "Du har avbrutt lagringa!", , "Avbrudd"
    Exit Sub

End Sub

Private Sub mnuNy_Click()
    ' Erstatt teksten som er med en tom streng.
    txtSkriv.Text = ""
    txtSkriv.SetFocus
     
     ' Gi formen en titteltekst.
    frmDialog.Caption = " (nytt dokument)"

End Sub

Private Sub mnuPalett_Click()
    
    ' G til Avbryt-rutina hvis du avbryter.
    On Error GoTo Avbryt

    ' Vis den enkle fargepaletten.
    cdlStandard.Flags = cdlCCPreventFullOpen
    
    ' Vis fargepaletten.
    cdlStandard.ShowColor
    
    ' La valgt farge blir bakgrunnsfarge i
    ' tekstboksen.
    txtSkriv.BackColor = cdlStandard.Color
    
    ' Gi fokus til tekstboksen
    txtSkriv.SetFocus
    
    ' G ut fr avbruddsrutina utfres.
    Exit Sub

Avbryt:
    MsgBox "Du har avbrutt!", , "Avbrudd"
    Exit Sub

End Sub

Private Sub mnuSkrivut_Click()
    
    ' G til avbrytrutine hvis brukeren avbryter.
    On Error GoTo Avbrytskriv

    ' Vis dialogboksen Skriv ut.
    cdlStandard.ShowPrinter
    
    ' Skriv ut hele skjemaet.
    frmDialog.PrintForm
  
    ' Gr ut av rutina.
    Exit Sub

Avbrytskriv:
    MsgBox "Du har avbrutt!", , "Avbrudd"
    Exit Sub

End Sub

Private Sub mnupne_Click()
    
    ' Deklarer en variabel.
    Dim FilNum
    
    ' G til feilrutine hvis brukeren avbryter.
     On Error GoTo Avbrytpne

    ' Sett inn et filfilter.
    cdlStandard.Filter = "Tekstfiler (*.txt)|*.txt|"

    ' Vis dialogen pne.
    cdlStandard.ShowOpen

    ' Finn et ledig filnummer.
    FilNum = FreeFile

    ' pne fila for input.
    Open cdlStandard.filename For Input As FilNum

    ' Skriv innholdet i tekstboksen til fila.
    txtSkriv.Text = Input$(LOF(FilNum), FilNum)
    
    ' Lukk fila.
    Close FilNum
    
    ' Sett filnavnet inn i tittellinja p formen.
    frmDialog.Caption = cdlStandard.filename
    
    ' G ut av prosedyren.
    Exit Sub

Avbrytpne:
    MsgBox "Du avbrt dialogboksen!", , "Avbrudd"
    Exit Sub

End Sub

